curl --request POST \
--url https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/compute/instances \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"size_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"location_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"image_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"volume_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ssh_keys": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"install_management_key": true,
"vpc_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tags": [
"<string>"
]
}
'import requests
url = "https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/compute/instances"
payload = {
"name": "<string>",
"size_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"location_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"image_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"volume_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ssh_keys": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"install_management_key": True,
"vpc_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tags": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
size_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
location_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
image_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
volume_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
ssh_keys: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
install_management_key: true,
vpc_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
project_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
tags: ['<string>']
})
};
fetch('https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/compute/instances', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"legacy_id": 123,
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"size": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"slug": "<string>",
"vcpu": 2147483647,
"ram_mb": 2147483647,
"bandwidth_mbps": 2147483647,
"available_volumes": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"disk_gb": 2147483647,
"is_default": true,
"is_active": true
}
],
"pricing_options": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"price": "<string>",
"discount_percent": "<string>",
"is_default": true,
"is_active": true
}
],
"available_addons": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"addon": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slug": "<string>",
"name": "<string>",
"name_fr": "<string>",
"description": "<string>",
"description_fr": "<string>",
"is_active": true
},
"pricing_options": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"price": "<string>",
"is_active": true
}
],
"is_included": true,
"is_default": true,
"is_active": true
}
],
"created": "2023-11-07T05:31:56Z",
"modified": "2023-11-07T05:31:56Z",
"is_active": true,
"description": "<string>"
},
"location": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"slug": "<string>",
"country_code": "<string>",
"created": "2023-11-07T05:31:56Z",
"modified": "2023-11-07T05:31:56Z",
"is_active": true
},
"vpc": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"cidr_block": "<string>",
"location": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"slug": "<string>",
"country_code": "<string>",
"created": "2023-11-07T05:31:56Z",
"modified": "2023-11-07T05:31:56Z",
"is_active": true
},
"created": "2023-11-07T05:31:56Z",
"modified": "2023-11-07T05:31:56Z",
"is_active": true
},
"image": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"slug": "<string>",
"os_name": "<string>",
"os_version": "<string>",
"language": "<string>",
"is_windows": true,
"requires_license_addon": true,
"created": "2023-11-07T05:31:56Z",
"modified": "2023-11-07T05:31:56Z",
"description": "<string>",
"os_architecture": "<string>",
"is_active": true,
"is_featured": true,
"min_disk_gb": 2147483647,
"min_ram_mb": 2147483647
},
"os_name": "<string>",
"primary_ipv4": "<string>",
"primary_ipv6": "<string>",
"ip_addresses": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"address": "<string>",
"interface": 123,
"netmask": "<string>",
"gateway": "<string>",
"network_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"vlan": 123,
"mac_address": "<string>",
"is_primary": true,
"created": "2023-11-07T05:31:56Z",
"modified": "2023-11-07T05:31:56Z",
"reverse_dns": "<string>"
}
],
"volumes": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"size_gb": 123,
"disk_name": "<string>",
"location": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"slug": "<string>",
"country_code": "<string>",
"created": "2023-11-07T05:31:56Z",
"modified": "2023-11-07T05:31:56Z",
"is_active": true
},
"price_monthly": "<string>",
"is_active": true,
"created": "2023-11-07T05:31:56Z"
}
],
"billing_start_date": "2023-11-07T05:31:56Z",
"billing_end_date": "2023-11-07T05:31:56Z",
"next_billing_date": "2023-11-07T05:31:56Z",
"cancellation_requested_at": "2023-11-07T05:31:56Z",
"cancellation_reason": "<string>",
"bandwidth_used_gb": "<string>",
"is_active": true,
"is_installed": true,
"snapshot_enabled": true,
"backup_enabled": true,
"active_addons": [
{}
],
"gpu_capable": true,
"state_sync": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"vm_status": "<string>",
"last_synced_at": "2023-11-07T05:31:56Z",
"uptime": 2147483647,
"cpu_usage": "<string>",
"memory_usage_mb": 2147483647,
"disk_usage_gb": "<string>",
"network_in_bytes": 0,
"network_out_bytes": 0,
"sync_source": "<string>"
},
"agent_info": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_available": true,
"os_id": "<string>",
"os_name": "<string>",
"os_pretty_name": "<string>",
"os_version": "<string>",
"kernel_release": "<string>",
"kernel_version": "<string>",
"machine": "<string>",
"hostname": "<string>",
"timezone": "<string>",
"filesystems": "<unknown>",
"network_interfaces": "<unknown>",
"users": "<unknown>",
"last_collected_at": "2023-11-07T05:31:56Z"
},
"created": "2023-11-07T05:31:56Z",
"modified": "2023-11-07T05:31:56Z",
"tags": [
"<string>"
]
}[Instances] Create a new compute instance
Provision a new virtual machine instance with the specified configuration. The instance will be created in the specified project and datacenter location. Instance creation is an asynchronous operation; monitor the task status for completion.
Authorizations
Use Authorization: Bearer <token> header. Token can be a JWT token or an API key (format: sk-onetsolutions-...).
Path Parameters
Unique identifier of the organization that owns the resource.
Unique identifier of the project containing the resource.
Body
255hourly- hourlymonthly- monthlyquarterly- quarterlysemi_annually- semi_annuallyannually- annuallybiennially- bienniallytriennially- triennially
hourly, monthly, quarterly, semi_annually, annually, biennially, triennially Response
Instance creation initiated successfully
Instance hostname
255Billing status
pending- Pendingprovisioning- Provisioningactive- Activesuspended- Suspendedterminated- Terminatedcancelled- Cancellederror- Error
pending, provisioning, active, suspended, terminated, cancelled, error Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Operating system name
100Show child attributes
Show child attributes
Show child attributes
Show child attributes
For prepaid only
When cancellation was requested, effective at billing_end_date
Reason provided for cancellation request
^-?\d{0,13}(?:\.\d{0,2})?$Whether the instance OS/service has been installed
Snapshot option active on the service
Backup option active on the service
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
free- Freeone_time- One Timehourly- Hourlymonthly- Monthlyquarterly- Quarterlysemi_annually- Semi-Annuallyannually- Annuallybiennially- Bienniallytriennially- Triennially
free, one_time, hourly, monthly, quarterly, semi_annually, annually, biennially, triennially Custom tags
50
